package jp.sourceforge.shovel.form;

import jp.sourceforge.shovel.AccountConfigType;

public interface IAccountForm {
    String getForeignKey();
    void setForeignKey(String foreignKey);
    String getEmail();
    void setEmail(String email);
    String getPassword();
    void setPassword(String password);
    String getToken();
    void setToken(String token);
    boolean isPartial();
    void setPartial(boolean partial);
    void setConfig(String config);
    AccountConfigType getConfigType();
}
